FAQ Database Discussion Community


Getting unexpected error cocoapod install pods

ios,cocoapods
I had the pods working fine until I tried to install another pod and started getting a strange error, I have done no updates and was working perfectly until recently. Podfile platform :ios, '8.0' target 'Wireless' do pod 'TapjoySDK', '~> 10.2' pod 'MBProgressHUD', '~> 0.9.1' pod 'IQDropDownTextField', pod 'PayPal-iOS-SDK', pod...

pod spec lint fails

ios,swift,cocoapods
I made a Swift framework I want to make a CocoaPods for it. I've followed all the instructions: created podspec file, added version tag, pushed it to github When I run pod lib lint it passes but when I run pod spec lint it fails. Here is my podspec file...

iOS cannot find pod specification for AWS pods

ios,amazon-web-services,cocoapods
I've looked around for an answer to this but could not find anything useful. According to AWS you just add the following to your pod file: source 'https://github.com/CocoaPods/Specs.git' pod 'AWSCore' pod 'AWSAutoScaling' pod 'AWSCloudWatch' pod 'AWSDynamoDB' pod 'AWSEC2' pod 'AWSElasticLoadBalancing' pod 'AWSKinesis' pod 'AWSS3' pod 'AWSSES' pod 'AWSSimpleDB' pod 'AWSSNS'...

CocoaPods unable to update ScoutMaps-iOS-SDK pod

ios,cocoapods,skmaps
The current (installed) version of ScoutMaps-iOS-SDK is 2.4 and I'm trying to updated to the latest version 2.5. However it is not updating neither failing. I've run the command: pod update The output was: Downloading dependencies Using AFDownloadRequestOperation (2.0.1) Installing AFNetworking 2.5.4 (was 2.5.3) Using HMSegmentedControl (1.5.1) Using MBProgressHUD (0.9.1)...

How to use Cocoapods in an embedded framework and in app

ios,shared-libraries,cocoapods
I want to integrate an action extension into my app. I generated an embedded framework with the shared code between app and extension. Now I need to access a pod in the embedded framework. How do I link the pods into the framework?...

Local CocoaPods interfering with other pods

ios,xcode,cocoapods
I'm writing a Swift Framework and a Swift iOS Application and I'm trying to use Cocoapods to add my framework into my app and other sdks as well. Here is my podspec for my swift framework Pod::Spec.new do |s| s.name = "InfraCocoa" s.version = "0.0.1" s.summary = "A short description...

Pods project with App Extension started failing to build

ios,xcode,xcode6,cocoapods,ios-app-extension
I was working on my app, haven't changed any setting or pod, and I tried to archive a build after about two weeks, and it failed. Then I tried to debug build (normal Cmd+R) and it failed with the error: ld: library not found for -lPods-AFNetworking I've tried pod install...

Prefix - something wrong in configuration

ios,objective-c,xcode,cocoapods,prefix
I created a new project 2 hours ago. Configured it the same way as my old (different) project, where everything is working. In my podfile I have: pod 'CocoaLumberjack', '2.0.0-rc2' If I import in AppDelegate: #import <CocoaLumberjack/CocoaLumberjack.h> everything is working fine. No errors. I can write code (DDLogs etc) and...

Could not build Objective-C module 'zipzap'

objective-c,xcode,swift,cocoapods
I would like to use zipzap library in my swift ios project. I use cocoapods to integrate it. When I run pod install everything works fine, but when I do import zipzap, it says Could not build Objective-C module 'zipzap'. I've done everything that people recommend here and in similar...

Error occurs when using cocoapods?

ios,cocoapods
I am using a library called MZFormSheetController, and I put it in to my program using cocoapods ,when the app runs ,it tell me there's error in the library. I seems it cannot recognize the UIViewController? what's going on?...

Building a Cocoapod with Swift and dependency on Objective-C framework

ios,swift,cocoapods,google-maps-sdk-ios,lint
I know there are already a few questions on this theme here on SO, but very few have accepted answers, and I don't think I have found the exact same problem as mine. I'm building a Swift pod, and in my code I rely on the Google Maps iOS SDK,...

Header Not Found in ios Project

objective-c,xcode,xcode6,cocoapods,braintree
I am working on a project where I integrate Braintree. It works fine, but suddenly my Xcode started showing me an error of Missing Braintree.h; Braintree manage by cocoa-pods. I tried updating pods, reinstalling Pods, reinstalling Braintree SDK, and updating the SDK, but all are useless. Now my code is...

iOS : pod update (unable to find the utility “xcode-select”)

ios,xcode,osx,xcode6,cocoapods
xI am a new iOS developer. Recently when I ran "pod update" sth just went wrong see the detail in the following: (unable to find the utility "xcode-select") bash-3.2$ pod install Analyzing dependencies sh: line 1: 4936 Abort trap: 6 /Applications/Xcode.app/Contents/Developer/usr/bin/xcodebuild -sdk / -find xcode-select 2> /dev/null xcrun: error: unable...

when install cocoapods get Error?

terminal,cocoapods
I try and gem install cocoapods I get an error : ERROR: While executing gem ... (Gem::FilePermissionError) You don't have write permissions for the /Library/Ruby/Gems/2.0.0 directory. what does it mean???...

Error when using Realm with Xcode 6.3.1

swift,cocoapods,realm
Today i decided to give a go to Realm for a project, but, when adding it via cococa pods, it just keeps yelling me he can't find Realm.Private on the ListBase class. tried to clean, tried to reimport, closed & reopened Xcode.... content of my cocoapods file: source 'https://github.com/CocoaPods/Specs.git' platform...

Prevent XCode from collapsing my folders whenever workspace file is rebuilt with CocoaPods

xcode,cocoapods
Whenever I add a CocoaPod to my workspace using pod install, the folders tree on the left navigator collapses to the root. This is very annoying because I am working in a project with a deep folder structure. I realize its a minor inconvenience, but is there any way to...

Cocoapod : Redefining preprocess macro using post install hook

ios,xcode,cocoapods
I want to update my pod to let users activating/desactivating a feature. To do this I've added a Preprocessor macro in my podspec : s.xcconfig = { 'GCC_PREPROCESSOR_DEFINITIONS' => 'FEATURE=1' } Now, for a user the right thing to do (of what I've understood) should be to use a post...

Segmentation fault when trying to run tests in project using Quick

ios,swift,cocoapods
Here's how my LoginViewControllerSpec class looks like: class LoginViewControllerSpec: QuickSpec { override func spec() { describe("LoginViewController") { var loginViewController: LoginViewController! beforeEach { loginViewController = LoginViewController() } } } When trying to run this particular test I'm getting error saying Command failed due to signal: Segmentation fault: 11 I've found out...

Cocoapods/ CrittercismSDK causing App Submission Error: ITMS-90035

ios,cocoapods,crittercism
I am trying to upload an app to Testflight using XCode 6.3. However, on trying to validate the app, it is giving me the error message below: I have tried regenerating the certificates and provisioning profiles without having any success. ERROR: ERROR ITMS-90035: "Invalid Signature. Code object is not signed...

Code / Test coverage tool for cocoapods?

ios,code-coverage,cocoapods,test-coverage
Is there a tool out there that can check the coverage of a cocoapod repository? I've taken a look at codeclimate, gcov, gcovr, XcodeCoverage, cocoapods-coverage, but none of them will check the coverage of the cocoapod files, just the default project's classes....

Using pod lib create for OS X project

cocoapods
Is it possible to use pod lib create for OS X project, the default is iOS, is there any way to specify OS X for the example project?

Can not update my pod library

ios,iphone,git,cocoapods
I have published my component HDTableDataSource on Cocoapods. I have now updated the version of the code by adding some code. While trying to compile it using command "pod spec lint", it gives me following error. [!] /usr/local/bin/git clone https://github.com/\<GITHUB_USERNAME\>/HDTableDataSource.git /private/var/folders/fm/vxq9zgy52zq28lvcq0qwzpj80000gn/T/CocoaPods/Lint/Pods/HDTableDataSource --single-branch --depth 1 --branch 0.1.0 Cloning into...

How to use cocoapods integrated project with OCLint?

ios,objective-c,cocoapods,oclint
I can build the project and generate OCLint report on a project without cocoapods but when integrated with cocoapods the build for project is successful but the build for OCLint results into errors for the file which are present into cocoapods and build fails. So how to make build successful...

cocoapod 'did not pass validation' error

ios,cocoapods
I have fixed a bunch of podspec creation errors. Here is the output from pod lib lint: -> KTPhotosViewController (1.0.0) - WARN | [iOS] pop/pop/POPDecayAnimationInternal.h:61:11: warning: absolute value function 'fabsf' given an argument of type 'const CGFloat' (aka 'const double') but has parameter of type 'float' which may cause truncation...

How to make Pod file from one project and add to your own project in iOS?

ios,xcode,cocoapods
I have one complete project. which I downloaded from site. https://medium.com/learning-xcode-as-a-designer/animate-in-xcode-without-code-20c82a904164 It gave me a project. I also download a DEMO project which has only added Pods Files, looks below After that I made a DemoAnimation project. and made its Pod using pod init, but it made Pod of that...

Error in opening .xcworkspace

ios,signalr,afnetworking,cocoapods,socketrocket
I integrated pods in my project specifically SignalR, AFNetworking and SocketRocket. It was successfully installed, but when I opened .xcworkspace, this error shows: Has anyone encountered this kind of error? Thanks in advance. Update: My .xcodeproj has appeared. But the frameworks appear red. How can I solve this? ...

Using CocoaPods with Swift

xcode,swift,cocoapods
I'm new to Cocoapods and am trying to use a pod named DateTools in my OS X app Swift project. I installed Cocoapods, created the podfile, added pod 'DateTools' to it, ran pod install and everything seemed to work fine. (I'm a Ruby dev so I think I got this...

Get the RestKit version number in code (from CocoaPods or static lib)

static-libraries,restkit,cocoapods
Im planning to add a text within an app stating what RestKit version the app is currently using. So I wonder if there is an easy way to get the current version number of the RestKit installed via CocoaPods. ...Or, is there a way to check the version of the...

Pod spec lint error due to CocoaLumberjack subspec

ios,objective-c,cocoapods,podspec,cocoalumberjack
Week ago I've pushed MyApp to my private cocoapods without any problems. I did not update anything with CocoaLumberjack in the meantime. My podspec contains: spec.subspec 'Core' do |cs| cs.dependency 'libextobjc', '~> 0.4' cs.dependency 'CocoaLumberjack', '2.0.0-rc2' end And here is the command && error: $ pod repo push my-private MyApp.podspec...

Unable to use both Swift and Obj-C libs with Cocoapods

ios,objective-c,swift,cocoapods,realm
I have just started a new Swift project and I would like to use different libraries. In particular, I would like to use Realm.io, an Obj-C library. But, I would also like to use pure Swift libraries such as Alamofire or Dollar. I use Cocoapods for managing my dependencies. I...

Bundling Cocoapod dependencies in Source Control on Xcode

xcode,github,cocoapods
I am developing an application for someone and I want to use an open source library (AFNetworking). I use cocoapods to install all dependencies. My question is: how can I upload all the cocoapod dependenices on github when I finish the application? Is there a way to upload them so...

Why can't my project code access my CocoaPods?

ios,xcode,swift,cocoapods
I'm using CocoaPods to add SnapKit to my iOS project. However, none of the functions from SnapKit are accessible from my source code. Xcode immediately throws a compiler warning along this lines of "this doesn't exist" I followed the install instructions listed here. I also have the xcworkspace open that...

“Include of non-modular header inside framework module” while compiling pod

objective-c,xcode,restkit,cocoapods
I am creating a pod that uses RestKit and a bunch of other pods. When I am compiling my pod with the command : pod repo push myCocoapodsRepo myPodspec.podspec --allow-warnings --verbose The first error I get is In file included from /var/folders/mx/cg3cmvh14wl2f3mnq0sc_cd00000gn/T/CocoaPods/Lint/Pods/RestKit/Code/ObjectMapping.h:21: /var/folders/mx/cg3cmvh14wl2f3mnq0sc_cd00000gn/T/CocoaPods/Lint/Pods/RestKit/Code/ObjectMapping/RKObjectMapping.h:23:9: error: include of non-modular header inside framework...

managed object context nil restkit while unitTesting

swift,unit-testing,restkit,cocoapods,nsmanagedobjectcontext
I am developing unit tests for my application using restkit (0.24.1) integrated using cocoapods: pod "RestKit/Testing", "~> 0.24.1" pod "RestKit", "~> 0.24.1" I am getting a error message saying that the managedObjectContext is nil. I beg to differ because I already have lots of unit tests using the same object...

Failed to install CorePlot 2.0 via cocoapod

core-plot,cocoapods
I have been using CorePlot 1.5.1 using cocoapod in my Xcode project without issue. Now I need to upgrade to CorePlot 2.0 because I need the touch up/down on same event. I tried doing that by editing PodFile by either: pod 'CorePlot', '~> 2.0' and target 'ERPTests' do pod 'CorePlot'...

Cocoapods update GoogleAnalytics sdk returns an SSL certificate error

ios,cocoapods,google-analytics-sdk
Ive just upgraded to version 0.37.1 of CocoaPods and now Im getting an error when trying to update my GoogleAnalytics library In my podfile I have pod 'GoogleAnalytics-iOS-SDK' And now when I execute pod update I get the following error [!] Error installing GoogleAnalytics-iOS-SDK [!] /opt/local/bin/curl -f -L -o /var/folders/v_/g79mcljx083bf8rp289mdy7r0000gq/T/d20150527-85393-io5rvl/file.zip...

cocoapods not updating a repository correctly

ios,github,cocoapods,podspec
While updating my project, which contains this line in the Podfile: pod 'UIView-Autolayout', :git => 'https://github.com/dkk/UIView-Autolayout.git' with the command pod update I want to update the pod in this github repository, which has following podspec: Pod::Spec.new do |s| s.name = 'UIView-Autolayout' s.version = '0.2.2' s.license = 'MIT' s.platform = :ios,...

Cocoapod not being imported during build for test target

ios,swift,cocoapods
I'll preface this by saying that the solution is probably very simple but I've tried for hours to figure this out and I feel like it's close, but something is still wrong. I'm creating a Cocoapod that has some other pods as dependencies and I'm trying to setup the projects...

“This app relies on Fabric” when Installing fabric with CocoaPod

ios,osx,cocoapods,fabric-twitter
Fabric: This app relies on Fabric. Please sign up for access at https://fabric.io/sign_up, install Fabric.app then ask a team member to invite you to this app's organization. I'm trying to install Twitter's Fabric on a different computer than the one I used to register using cocoaPods. http://cocoadocs.org/docsets/Fabric/1.2.3/ Installing Use Fabric...

How to get the example of MSCollectionViewCalendarLayout working

ios,calendar,cocoapods
I downloaded the MSCollectionViewCalendarLayout and now I wanted to try out the example. If I open the Example.xcodeproj I only get errors e.g. Lexical or Preprocessor Issue 'RestKit/RestKit.h' file not found I tried the tip from the troubleshooting guide to change the project settings but it didn't worked. If I...

How to install facebook sdk for iOS using cocoapods?

ios,objective-c,swift,cocoapods,facebook-ios-sdk
In the facebook's documentation: Here: https://developers.facebook.com/docs/ios/getting-started It's written that we could use: pod \'Facebook-iOS-SDK\' For installing pods in our project. But I added it in the pod file at line 10 and try to run pod install, it shows following error on terminal: [!] Oh no, an error occurred. It...

How to make pod with Swift

ios,swift,cocoapods
I try to create pod with Swift, but I can't make it work on Swift project. I create very simple swift extension import UIKit public extension UIView { public func sw_foo() { println("bar") } } And Podfile source 'https://github.com/CocoaPods/Specs.git' use_frameworks! pod "TestSwift", :path => "../" In Objective-C project I can...

Unit testing secret keys

ios,objective-c,unit-testing,cocoapods,specta
I am using cocoapods-keys and trying to test if the method returns valid url with secret API key. Test suite looks like this: it(@"should return valid url for api", ^{ NSURL *url = [APIRoutes apiURLWithPath:path parameters:nil]; expect([url absoluteString]).to.equal([NSString stringWithFormat:@"http://www.api.com/api/v2/places?api_key=MY_API_KEY"]); }); But the real method is returning my valid API key...

'The 'Pods' target has transitive dependencies that include static binaries' when installing GCM

ios,cocoapods,google-cloud-messaging
I'm trying to install Google Cloud Messaging for my iOS application (using swift). I've added it to my Podfile like so: # Uncomment this line to define a global platform for your project # platform :ios, '8.2' use_frameworks! target 'Project' do pod 'Alamofire', '~> 1.2' pod 'Google/CloudMessaging' end target 'ProjectTests'...

XCode Cocoapods workspace manually add new files and file not found

xcode,cocoapods
I am using VideoCore (https://github.com/jgh-/VideoCore) and I want to add newer version of the project than the one on CocoaPods. So I started off by manually updating new source to the one from Cocoapods. Compiling gives me error including header within the VideoCore Cocoapods project in the following includes: #include...

Getting error while installing pods for existing project

objective-c,ios8,cocoapods
I am getting below error while installing pods for existing project. [!] Unable to find targets named 'Project-Tests' to link with target definition 'Project-Tests' Can anyone help me here? Thanks in advance! ...

Can't archive with cocoapods Xcode 6.1.1

ios,xcode,cocoapods
So I have been using cocoapods recently, and it works in the simulator. All my libraries link fine. All my files are being referenced fine in the code and I am not getting any errors. However, for some reason "Archive" is grayed out and I can't archive my app. Since...

Cocoapods - Unable to find a Specification for [Github framework]

ios,xcode,unix,cocoapods
When trying to pod install a new Podfile into an existing Xcode (iOS) project, I get the following error message from Terminal: [!] Unable to find a specification for 'XCDYouTubeKit (~> 2.1.1)'. The Podfile that I was trying to load looks like this: # Uncomment this line to define a...

duplicate symbols for architecture armv7(FMDB)

ios,linker-error,cocoapods,duplicate-symbol
There are a lot of question about duplicate symbols for architecure XXX, but I didn't got answer of my question. In my scenario,I use Cocoapod,and import FMDB,But when I integrate another third party SDK,And when I build the project,and got the error as below: Is there any solution can fix...

Swift no option to add an Ob-C bridging header file under Build Options

ios,swift,cocoapods
I have added some Objective C files to my Swift project using Cocoapods. I created a Bridging-Header.h file using File->New->File IOS Source Header File. It is in the project. See screen shot with project files on left. I now need to add that file to the Project Build Settings ->...

Cannot install a podfile

cocoapods
I've installed Cocoapods, run pod setup, created a pod file and then when i try to install it, get the following errors. fatal: Not a git repository (or any of the parent directories): .git fatal: Not a git repository (or any of the parent directories): .git fatal: Not a git...

Adding my first pod

ios,objective-c,cocoapods,xcode-workspace
So I used the treehouse tutorial and for the first time, adding a podfile was super easy. That so far has been the easiest part. Now when I try to open my workspace file. I can see the pod and all the different Obj classes. But when I run the...

Can't find headers for GoogleAnalytics-iOS-SDK with Cocoapods 0.37, Swift, frameworks

ios,swift,google-analytics,cocoapods
Using cocoa pods 0.37.0 in a Swift project, with use_frameworks! set in the podfile, I am unable to access the header files for the GoogleAnalytics-iOS-SDK pod. How should I access the Google Analytics pod's headers in my app? I have tried; import GoogleAnalytics_iOS_SDK In a Swift file, cocoapods 0.36 style....

Podspec: Prefix import not found

ios,objective-c,xcode,cocoapods,podspec
My project is building ok. When I run pod spec lint I receive following error: - ERROR | [MyApp/Core] [xcodebuild] Target Support Files/Pods-MyApp/Pods-MyApp-prefix.pch:6:9: fatal error: 'MyConstants.h' file not found It's worth noticing the location of constants file: Project/Classes/MyConstants.h. Here is my podspec: Pod::Spec.new do |spec| spec.name = "AppName" spec.version =...

CocoaPods integration for Urban Airship

objective-c,push-notification,cocoapods,urbanairship.com
I have integrated pods for AFNetworking successfully. Now I want to integrate Urban Airship using CocoaPods. Can anybody help me? I don't know how to use same Podfile to integrate another library. It would be great if someone please tell me step by step process to integrate Urban Airship for...

Facebook iOS SDK v 4.1.0 in Swift with Cocoapods: cannot import modules

ios,facebook,swift,cocoapods
I tried to update my Swift project to Facebook SDK v 4.1.0 today (FBSDKCoreKit and FBSDKLoginKit), but it doesn't seem to be working. I cannot import the modules as they are not found. I basically removed the line pod 'Facebook-iOS-SDK' and added the lines pod 'FBSDKCoreKit' pod 'FBSDKLoginKit' and then...

Removing Pod from project - xcode

xcode,cocoapods
I'm trying to remove pod from my project. After i'm deleting all the files and everything i'm getting this messages diff: /../Podfile.lock: No such file or directory diff: /Manifest.lock: No such file or directory error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your...

Present storyboard view controller from third party library

ios,objective-c,xcode,storyboard,cocoapods
I have installed a third party library using cocoapods and am trying to present the storyboard contained within the library in my projects viewDidLoad. My code below i believe should be working UIStoryboard *storyboard = [UIStoryboard storyboardWithName:@"library.storyboard" bundle:nil]; WrapperViewController *myVC = (WrapperViewController*) [storyboard instantiateViewControllerWithIdentifier:@"libraryStoryboard"]; [self presentViewController:myVC animated:YES completion:nil]; But I...

Install multiple Pods in swift

swift,google-analytics,xcode6,cocoapods
I currently have the Google Places Pod in my Xcode workspace. I would also like to use Google analytics. Should I just add pod 'Google/Analytics', '~> 1.0.0' to my Podfile and run pod install again the same as I did the first time? Thanks...

Undefined symbols for architecture i386 with EncryptedCoreData

ios,swift,core-data,cocoapods,pod
I use EncryptedCoreData to encrypt CoreData. Integrate it with pod ( pod 'EncryptedCoreData', :git => 'https://github.com/project-imas/encrypted-core-data.git'), in Bridging-Header - file I include: #import <EncryptedCoreData/EncryptedStore.h> , but I have such error: Undefined symbols for architecture i386: "_OBJC_CLASS_$_EncryptedStore", referenced from: __TMaCSo14EncryptedStore in AppDelegate.o ld: symbol(s) not found for architecture i386 clang: error:...

How to add custom project configurations to Xcode when using CocoaPods?

ios,objective-c,xcode,cocoapods
I have an iOS/OS X Xcode projects, where I'm using CocoaPods, and I can't seem to figure out how to add my own project configurations (In addition to Debug and Release) without completely blowing up the build. In the project, I have a number of targets, for apps on both...

watchOS 2 working with CocoaPods

ios,cocoapods,watchkit,watch-os-2,watch-os
Has anyone gotten CocoaPods working with watchOS 2? I tried using ‘use_framework!’ with ‘platform :watchos, ‘2.0’ but it says "[!] Invalid Podfile file: Unsupported platform watchos2. Platform must be :ios or :osx.. Updating CocoaPods might fix the issue.” I am on the latest version of CocoaPods....

dyld: Library not loaded with cocoapods 0.37 and Xcode 6.3

ios,xcode6,cocoapods
I've been reading all the issues about the error: dyld: Library not loaded: @rpath/Bolts.framework/Bolts Referenced from: /private/var/mobile/Containers/Bundle/Application/1542F906-CCE1-4181-AC7C-B5E3EE50E7D7/eBikeMotion.app/eBikeMotion Reason: no suitable image found. Did find: Which makes my application unable to run in a real device (but it runs without any problem in the simulator. Until certain point I thought that...

Downgrading from CocoaPods 0.35.0 to 0.33.1

ios,xcode,cocoapods
I need to downgrade CocoaPods from 0.35.0 to 0.33.1. However, I'm running into problems. The Situation It seems during the upgrade from 0.33.1 to 0.35.0, CocoaPods does the following: Remove the pressumably obsolete Pods.xcconfig file. Add the files Pods.debug.xcconfig, Pods.release.xcconfig, etc. Remove the presence of Pods.xcconfig from my project.pbxproj. Record...

Submit App with cocoapods to itunesconnect

xcode,swift,google-analytics,cocoapods
I have an Xcode Workspace with my app and cocoapods for Google Analytics. I would like to upload the app to the app store with Google Analytics. Should I just click archive in the menu at the top and upload as I usually do or do I need to do...

Podspec with dependencies to Google-Analytics Cocoapods 0.36

ios,cocoapods,podspec
I'm have a great issue with our private podspec, all worked fine until we updated to cocoapods 0.35. The spec is not very complex, but is depended on the GoogleAnalytics-iOS-SDK This is our pod spec: { "name": "RKTagManager", "version": "0.0.1", "summary": "Google TagManager wrapper.", "license": { "type" : "Closed Source",...

Cocoapods (private) unable to find specification

ios,objective-c,git,cocoapods
We have private cocoapods. When I type pod repo: company-private - Type: git (origin) - URL: ssh://[email protected]//path/git/PrivateCocoapods - Path: /Users/Username/.cocoapods/repos/company-private master - Type: git (origin) - URL: https://github.com/CocoaPods/Specs.git - Path: /Users/Username/.cocoapods/repos/master I've entered ~/.cocoapods/repos: $ ls company-private master $ cd company-private $ ls Specs $ cd Specs: $ ls MyProject...

No visible @interface in Cocaopods

ios,xcode,cocoapods,static-linking,podspec
I am trying to modulize my app by splitting it in different sub projects. Inspired by this idea. So I splited my project to static libraries followed by that tutorial. I created a first library with some costume UIHelpers/Views. It has some dependencies which I defined in PodSpec file followed...

Extending 64 bit support to existing iOS app

ios,xcode,64bit,cocoapods
I have read Apple's Guidelines for converting app to 64 bit binary and few other web pages.I am using Xcode 6 and I believe that if Architectures contain "Standard Architecture(armv7,arm64)" and Valid Architectures contain "armv7,armv7s" then it means my app supports 64 bit binaries. Can someone please confirm if my...

Pods from a private repo are not found by CocoaPods

ios,cocoapods
I can't use a pod from a private cocoapods repo. When I try to add my pod, using version 0.37.1, I get the following error: [!] Unable to find a specification for ... My cocoapods configuration is using 2 remotes: $ pod repo list bootstragram-public-pod-repo - Type: git (master) -...

How to link an framework generated by Cocoapods in a new iOS8 framework target

ios,objective-c,ios8,frameworks,cocoapods
I'm trying to create an iOS framework which I can use in many other iOS projects, and this framework has some dependencies, I need to use AFNetworking and Mantle libraries, I have created new project and podfile containing platform :ios, '8.0' use_frameworks! pod 'Mantle', '~> 2.0' pod 'AFNetworking', '~> 2.5'...

Cocoapods installation for YouTube integration

ios,objective-c,xcode,cocoa-touch,cocoapods
I need to install cocoapods for youtube integration,i used this link http://www.raywenderlich.com/64546/introduction-to-cocoapods-2 for reference This is my podfile ////////////////////////////////////////// # Uncomment this line to define a global platform for your project # platform :ios, '7.0' target 'testyoutube' do pod "YouTube-Player-iOS-Helper", "~> 0.1" end target 'testyoutubeTests' do end ////////////////////////////////////////// and i...

CocoaPods pod install. Modules cannot be imported

ios,swift,cocoapods
I installed CocoaPods by using $ sudo gem install cocoapods. I have a swift Xcode project with the following podfile platform :ios, '8.2' use_frameworks! target 'Clover' do pod 'Alamofire', '~> 1.2' pod 'SwiftyJSON', '~> 2.2' pod 'ObjectMapper', '~> 0.12' pod 'ImageLoader', '~> 0.3.0' pod 'SVProgressHUD' end target 'CloverTests' do end...

Error “library not found for -lPods-MyProjectTests-KIF” when installing KIF in existing workspace

xcode6,integration-testing,cocoapods,ld,kif
I run into this error when adding KIF to an existing Xcode 6 workspace: ld: library not found for -lPods-MyProjectTests-KIF What may be special about my situation that MyProject.xcworkspace/ resides in the parent directory of MyProject.xcproject/ (and depends on several other sibling projects as well): ./MyProject.xcworkspace/ ./MyProject/ ./MyProject/MyProject.xcworkspace/ ./MyProject/Podfile My...

Getting error in Adjust library, Integrated with Pods

objective-c,ios8,cocoapods
I am getting this error: ld: library not found for -lPods-Adjust clang: error: linker command failed with exit code 1 (use -v to see invocation) I added this to my Podfile: pod 'Adjust', :git => 'git://github.com/adjust/ios_sdk.git', :tag => 'v4.2.5' I have installed pods successfully, but still get the above error....

Google SignIn without CocoaPods

ios,cocoapods,google-signin
I am trying to integrate the GoogleSign-In for iOS with the documentation found here: https://developers.google.com/identity/sign-in/ios/start-integrating How can I do this without using Cocoapods? I've tried using the libraries and headers that Cocoapods download directly, but this led to many issues. Has anyone successfully converted a Cocoapod into a standalone library/framework?...

Cocoa Pods Incompatible Character Encoding, When Installing RestKit [duplicate]

ios,objective-c,cocoa,cocoapods
This question already has an answer here: unable to use cocoapods after updating 2 answers Hi im new to cocoaPods and this is the first time ive attempted to set it up, im trying to add RestKit to my project but when i run pod install i get the...

CocoaPods link_with

cocoapods
i am trying to include different libraries for different targets. link_with 'Target 1', 'Target 2', 'Target 3' platform :ios, '7.0' pod 'MMWormhole', '~> 1.1.1' link_with 'Target 4', 'Target 5' platform :ios, '7.0' pod 'AFNetworking', '~> 2.5' pod 'MBProgressHUD', '~> 0.8' pod 'MMWormhole', '~> 1.1.1' How to do that? Solution (Thanks...

Can't run pod install - permission error

ios,ruby,cocoapods
I have been trying to run someone's project but can't do pod install. pod install Analyzing dependencies Pre-downloading: `KNMultiItemSelector` from `https://github.com/kentnguyen/KNMultiItemSelector.git` Downloading dependencies Installing AFNetworking (2.5.1) Installing Amplitude-iOS (2.2.4) Installing Analytics (1.11.2) Installing AppsFlyer-SDK (2.5.3.10) Installing Bugsnag (4.0.3) [!] Error installing Bugsnag [!] /usr/bin/git submodule update --init Submodule 'KSCrashModule' ([email protected]:bugsnag/KSCrash.git)...

How to modify a method from category which is added using cocoapods

ios,objective-c,cocoapods,afnetworking-2
I have added AFNetworking using cocoapods and I need to modify UIActivityIndicatorView+AFNetworking.m category, and more specific I need to add a custom logging statement used in my project to the end of dealloc method. - (void)dealloc { NSNotificationCenter *notificationCenter = [NSNotificationCenter defaultCenter]; #if __IPHONE_OS_VERSION_MIN_REQUIRED >= 70000 [notificationCenter removeObserver:self name:AFNetworkingTaskDidCompleteNotification object:nil];...

Error installing cocoapods: Failed to build gem native extension

ios,cocoapods
Building native extensions. This could take a while... ERROR: Error installing cocoapods: ERROR: Failed to build gem native extension. /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/bin/ruby -r ./siteconf20150610-6663-7exisu.rb extconf.rb creating Makefile make "DESTDIR=" clean make "DESTDIR=" compiling generator.c linking shared-object json/ext/generator.bundle clang: error: unknown argument: '-multiply_definedsuppress' [-Wunused-command-line-argument-hard-error-in-future] clang: note: this will be a hard error (cannot...

CocoaPods: Unable to find a specification for `TestFlightSDK (= 3.0.0)`

cocoapods,testflight
I'm trying to do pod install and I get the following error: [!] Unable to find a specification for TestFlightSDK (= 3.0.0) I tried pod update and I get the same error: [!] Unable to find a specification for TestFlightSDK (= 3.0.0) Why is this occurring? I tried the following...

Getting error in setting up Cocoa Pods and install update for Ruby

objective-c,ruby,osx,cocoa,cocoapods
I am trying to setup cocoapods to my iOS application But when I go for command: sudo gem update --system I get error : Latest version currently installed. Aborting. When I go to next step for cocoapods: sudo gem install cocoapods I get error on Mac OS 10.8.5 : ERROR:...

cocoapods pod lib create and schemes

xcode,cocoapods
I am using the latest beta cocoapods release that support frameworks with xcode 6.1.1, sudo gem install cocoapods --prerelease I then ran pod lib create podtry to create a sample app, no demo app, no testing framework, no view based testing. I then opened it in xcode and notice that...

Prevent “There are multiple dependencies with different sources” using cocoa pods

ios,cocoapods
I use a combination of own and external pods in several projects. If I'm developing or updating a pod, I use a Podfile.local to avoid versioning/tagging every single change. The issue here, if that I must update Podfile to comment out every pod I'm using in Podfile.local to avoid errors....

I can't get cocoapods to download the correct commit

ios,xcode,git,cocoapods
This is the commit I want to download: https://github.com/MegaBits/MagicalRecord/commit/c72306f862250fe4db4be343fc98a105cac98c6c In my podfile, I've tried everything. I've even tried commits following that one, changing it's podspec. It simply won't install that commit. My podfile: source 'https://github.com/CocoaPods/Specs.git' pod 'MagicalRecord', :podspec => 'https://raw.githubusercontent.com/MegaBits/MagicalRecord/develop/MagicalRecord.podspec' I'm simply out of ideas for this. What do I...

can't find Pods.modulemap - looking in wrong directory

swift,cocoapods
I'm trying to get CocoaPods working in a Swift project but this is my first time. My Podfile is source 'https://github.com/CocoaPods/Specs.git' platform :ios, '8.0' use_frameworks! pod 'Alamofire', '~> 1.2' pod 'SwiftyJSON', '~> 2.2.0' I run pod install but building it gives me this error: Error: unable to read module map...

Add ObjC Cocoapod to Swift

objective-c,swift,cocoapods
There is an awesome Objc pod (this) i want to implement in my project but i don't get it to work. As i understood i need to: Download the pod platform :ios, '8.0' use_frameworks! pod 'SwiftyJSON' pod 'KVNProgress' Create a Objectiv C Header File #import <KVNProgress/KVNProgress.h> Set 'Objectiv-C Bridging Header'...

Alamofire breaks other pods

cocoapods,alamofire
When I add alamofire to my Podfile it breaks all the others. I think it's because of the frameworks thing? Basically where I used to have this in my bridging header: #import <AFNetworking.h> now it says it can't find AFNetworking.h Does that for all of the headers that I get...

Apple Mach-O Linker Error with project from GitHub

objective-c,cocoapods
I'm attempting to run a project from git hub (https://github.com/dulaccc/DPMeterView). The issue arises after cloning the repository and using 'pod install' to install the dependencies. I'm receiving this error: Undefined symbols for architecture x86_64: "_OBJC_CLASS_$_DPMeterView", referenced from: objc-class-ref in ViewController.o ld: symbol(s) not found for architecture x86_64 clang: error: linker...

CocoaPods not installing Alamofire in Swift Parse Chat App

xcode,swift,parse.com,cocoapods,alamofire
I am trying to compile and run the following application (Swift Chat App using Alamofire). https://github.com/huyouare/SwiftParseChat I am using ruby-2.0.0 , cocoapods 0.37.1, xcode 6.3, Alamofire 1.2.0 I am installing it using the normal <pod install> command. No errors or warnings during the process. However, when compiling, I get: No...

CocoaPods use_frameworks! causes “Class X is implemented in both Y and Z”

swift,cocoapods
I want to integrate some obj-c libraries into my Swift project via CocoaPods v0.37.2. Here is my Podfile: platform :ios, '8.0' use_frameworks! target 'MyApp' do pod "FBSDKCoreKit", '~> 4.2.0' pod 'FBSDKLoginKit', '~> 4.2.0' pod 'FBSDKShareKit', '~> 4.2.0' end I always got the following message on console when running my project...

Can I tell pod install that Xcode project and workspace reside in different directories?

xcode,xcode6,cocoapods
So I can tell CocoaPod's pod install the location of a project directory (with --project-directory). It will the apparently look for Podfile, *xcproject/ and create or update *.xcworkspace/ there. Is there also an option for telling it that an existing workspace resides in a different directory from this project or...

Include Pods from Swift Sources in iOS7 Swift Project

ios,swift,cocoapods
I have a iOS7 Swift project and want to use a pod like this which is based on Swift code. In my pod file I can include the pod like this: platform :ios, "7.0" pod "Timepiece" Assume that the project runs on iOS.How can I include pods from Swift sources?...

Importing a library with cocoapods

ios,cocoapods
I am trying to use this library in my ios project:https://github.com/nuclearace/Socket.IO-Client-Swift I am trying to use with cocoapods.I created a Podfile in my project library. This is my podfile: source 'https://github.com/CocoaPods/Specs.git' platform :ios, '8.0' use_frameworks! pod 'Socket.IO-Client-Swift', '~> 2.2.2’ When I run, I am getting following errors: SyntaxError - /Users/.../Documents/SwiftSonSurum/Podfile:4:...

Cocoapods no-arc in only few files

ios,objective-c,cocoapods,podspec
I've updated my podspec to support few files, that doesn't use ARC: Pod::Spec.new do |spec| spec.name = "AppName" spec.version = "0.0.1" spec.source = { :git => 'ssh://...', :tag => '0.0.1'} spec.license = 'Apache 2.0' spec.author = "me" => "[email protected]" spec.platform = :ios, '7.0' spec.requires_arc = true spec.frameworks = ['Foundation', 'UIKit',...

how to set a bridging header to libPhoneNumber-iOS/NBPhoneNumber.h

ios,xcode,swift,cocoapods
I'm trying to use libPhoneNumber-iOS/NBPhoneNumber in a swift project and I'm getting a file not found error in the bridging header #import <libPhoneNumber-iOS/NBPhoneNumber.h> Pod file pod 'libPhoneNumber-iOS', '~> 0.7' https://github.com/iziz/libPhoneNumber-iOS What should I be referencing to get it to find the pod? libPhoneNumber-iOS...

Lint a Swift cocoa pod with SSZipArchive dependency

swift,cocoapods,lint
Anyone had any luck creating a pod with a SSZipArchive dependency? My classes are all in Swift but I'm including my bridging file as well (#import "SSZipArchive"). When I try to lint I get 9 errors all related to SSZipArchive. Please let know your thoughts. Thanks so lot! ERROR |...

pod setup fail at 'Setting up CocoaPods master repo'

xcode,cocoapods
I'm trying to install cocoapods and it always fail at 'Setting up CocoaPods master repo' with below error code: [!] /usr/bin/git clone 'https://github.com/CocoaPods/Specs.git' master --depth=1 sh: line 1: 8018 Abort trap: 6 /Applications/Xcode.app/Contents/Developer/usr/bin/xcodebuild -sdk / -find git 2> /dev/null git: error: unable to find utility "git", not a developer tool...

Can CocoaPods public spec pushing be more friendly for automation?

automation,cocoapods,trunk
From https://groups.google.com/forum/#!topic/cocoapods/i7dwMV4EqZ8 I'm a bit of a CocoaPods newbie and have never created a Pod before, but I'm looking into how one would be able to automate publishing of public podspecs from within my organization's continuous deployment infrastructure, which has some properties about it that makes using Trunk difficult. They...